Optative verbs are those which express a wish or desire. In Chinese, this is done using an auxiliary verb, often referred to as a modal auxiliary or an optative verb.
```
Positive: Auxiliary + Verb
Negative: 不 + Auxiliary + Verb
Question: (a) Auxiliary + Verb + 吗 ?
          (b) (Auxiliary 不 Auxiliary) + Verb
```

1. 我想去中国参观访问
   I want to go and visit China.
2. 你不应该在教室里吸烟。
   You shouldn't smoke in the classroom.
3. 他会不会游泳？
   Does he know how to swim?

# 想xiǎng
想xiǎng as an optative verb is a derivative of an actual substantive verb. It's basic meaning is "to think of/about". As an optative verb, it expresses intention or desire of doing something.
1. 这个星期六你想去看电影吗？
   Do you feel like going to watch a movie this Saturday?
2. 她想去看妈妈。
   She's (thinking about/wants to) go to see her mother.

想xiǎng can also be used with a sentence as it's object, to say "I think that...".
1. 我想他明天回来上课。
   I think that he'll come back to class tomorrow.
However, you can't negate this ("I don't think...") with 不想. Instead, you need to move 不 into the object sentence, to instead say "I think that not X":
1. 我想他明天不回来上课。
   I think that he won't come back to class tomorrow
   I don't think he'll come back to class tomorrow.
# 要yào
要yào as an optative verb means "to desire", expressing a strong desire to carry out an action.
1. 你要去厕所吗？
   Do you need to go to the bathroom?
2. 你明天要不要去城里看朋友？
   Do you want to go into town to see friends tomorrow?
   
It can also be used to express a demand, a necessity imposed by the outside world -- "to have to" do something. Sometimes the adverb 一定yídìng is added to further underscore the urgency/importance of the demand.
1. 对不起，我现在要去上课。我们晚上再谈吧。
   Sorry, I have to go to a class now. We'll talk again in the evening.
2. 写字一定要写得慢。
   You definitely have to write characters slowly.


> [!help] 想 vs 要
> The meaning of 想 and 要 is quite similar, and they can sometimes be used interchangeably. However, 要 represents a stronger intention; 想 is more of a "wish", whereas 要 is more of a "will".
> 想 stresses the wishing, thinking about, and planning of an action.
> 要 stresses the urge or demand for carrying it out.
> 想 can be modified by a degree adverb (e.g. 很想), but 要 can't.

# 能néng
The optative 能néng expresses the ability to carry out a certain action.
1. 他现在能看中文杂志。
   He's now able to read Chinese mahazines.
